11
ответов

Ошибка надувания класса androidx.constraintlayout.widget.ConstraintLayout

После миграции на пакеты Androidx с помощью пункта меню Android Studio Refactor -> Refactor to Androidx ... я получаю следующую ошибку: Ошибка надувания класса androidx.constraintlayout.widget ....
вопрос задан: 19 April 2019 09:23
4
ответа

Запретить RecyclerView глотать сенсорные события без создания пользовательской ViewGroup

В настоящее время я работаю над пользовательским интерфейсом, который выглядит следующим образом. Синяя часть - это ConstraintLayout, а фиолетовая часть - это RecyclerView внутри (это RecyclerView, потому что его содержимое динамически основано на ...
вопрос задан: 1 March 2019 04:24
3
ответа

Прозрачный AppBarLayout

Я разрабатываю приложение, в котором я хотел бы иметь прозрачную панель инструментов (AppBarLayout), но все еще вижу кнопку значка навигации. К сожалению, лучшее, что я могу достичь, это прозрачная панель инструментов, которая все еще ...
вопрос задан: 28 March 2019 05:59
3
ответа

Flutter Projects & amp; Проблемы миграции Android X

Я только что создал новый проект флаттера, добавил несколько плагинов, и я переключаю плагин на Android X, поэтому мне нужно переключиться на Android X. Я пробовал все разные способы перехода к ...
вопрос задан: 24 February 2019 11:37
2
ответа

androidx.appcompat.app.AppCompatActivity не реализует LifecycleOwner

Я знаю, выглядит как какая-то глупая ошибка, но я не могу ее найти. В моем проекте у меня есть доступ к LifecycleOwner из моих фрагментов, но не из Activity. Вот мой проект реализации build.gradle (': ...
вопрос задан: 22 March 2019 15:31
2
ответа

Не могу надуть ConstraintLayout

Каждый раз, когда мое приложение падает, потому что оно не может найти Landroidx / constraintlayout / widget / R $ в стиле classpath. Я пытался восстановить, сделать недействительным кеш, но он всегда дает мне ту же ошибку во время выполнения. Я ...
вопрос задан: 27 January 2019 16:13
2
ответа

Android Zendesk SDK v1 Неправильный макет фрагмента сообщения после Jetifier

Я использую Zendesk v1 SDK вместе с AndroidX и Jetifier и после обновления до AS 3.3, Gradle версии 4.10.1, я получаю ошибки во время компиляции, похоже, что Jetifier переводит идентификаторы ...
вопрос задан: 15 January 2019 16:24
1
ответ

Что делать флаттер андроид х выпуск

firebase_auth ^ 0.7.0 и flutter_firebase_ui ^ 0.0.13, решение проблемы не удалось. Я не хочу переходить на Android x Кто-нибудь, помогите мне решить эту проблему http: ^ 0.12.0 # Следующее добавляет ...
вопрос задан: 18 March 2019 21:49
1
ответ

импорт трепетать android.support.annotation.NonNull

Итак, я хотел использовать firebase_auth во флаттере, но у меня была ошибка androidX.annotation.NonNull. Я сделал несколько изменений в файлах Android, и после большого количества беспорядочных сообщений я исправил ошибку, но теперь ...
вопрос задан: 11 March 2019 14:12
0
ответов

функция сжатия и расширения на новом ExtendedFloatingActionButton в Android не работает

Я использовал новый ExtendedDloatingActionButton из пакета материалов для Android 1.1.0.alpha6. Он отображается просто как find, но методы extension и shrink ничего не делают. Пакет используется: ком ....
вопрос задан: 30 June 2019 04:36
0
ответов

Я не могу собрать приложение с помощью XML-файла манифеста

<? xml version = "1.0" encoding = "utf-8"? > < manifest xmlns: android = "http://schemas.android.com/apk/res/android" package = "newpersoncom.advanced_chat.advanced_chat" > < использует-разрешение ...
вопрос задан: 7 April 2019 19:43
0
ответов

Android X: инструменты: заменить указанное в строке: для атрибута, но не указано новое значение

Я пробовал много решений на этом сайте, но проблема не решена. Проблема связана с библиотекой Android X. Когда я добавил Android X, эта проблема была решена, но она открыла новую проблему. Я ...
вопрос задан: 3 April 2019 04:40
0
ответов

Как исправить ошибку «Не удалось разрешить: com.github.Dimezis.BlurView: supportrenderscriptblur: v1.4.0-SNAPSHOT»?

Я получаю эту ошибку Не удалось устранить: com.github.Dimezis.BlurView: supportrenderscriptblur: v1.4.0-SNAPSHOT Мой файл Gradle: buildTypes {release {minifyEnabled false ...
вопрос задан: 29 March 2019 13:02
0
ответов

Как перестать обновлять фрагменты на вкладке сенсорного AndroidX?

Я использую NavController вместе с BottomNavigationView. Каждый раз, когда я нажимаю на вкладку, соответствующий фрагмент обновляется. Как я могу это остановить? Спасибо!
вопрос задан: 19 March 2019 09:35
0
ответов

Активность вести себя как итог

Я реализую поведение нижнего листа в деятельности. Я не хочу реализовывать нижний лист, а хочу, чтобы моя деятельность велась как нижний лист. Есть статьи, в которых говорится, чтобы установить тему ...
вопрос задан: 5 March 2019 03:01
0
ответов

Что такое AndroidX

Я читаю о комнате библиотеки Android. Я вижу, что они изменили пакет Android на AndroidX. Я не понимал, что. Кто-нибудь объясните пожалуйста. реализация "androidx.room:room-runtime:$room_version" ...
вопрос задан: 5 February 2019 11:00
0
ответов

Switch не обновляет пользовательский интерфейс для Android 5.1.1

У меня есть следующий xml для Switch < RelativeLayout xmlns: android = "http://schemas.android.com/apk/res/android" xmlns: tools = "http://schemas.android.com/tools" android : layout_width = "match_parent" ...
вопрос задан: 18 January 2019 15:27
0
ответов

Проблема Play-Services-Maps и Android Studio 3.3 с AndroidX, связанная с библиотекой аннотаций

Недавно я обновил свой проект для сборки из Android Studio 3.3, в который были внесены следующие изменения (запрашивается при запуске Android Studio): зависимость build.gradle: classpath 'com.android ....
вопрос задан: 16 January 2019 15:23
0
ответов

Данный артефакт содержит строковый литерал со ссылкой на пакет 'android.support.v4.content', который нельзя переписать безопасно. для андроид

Я обновил свою андроид студию до 3.4 canary, и теперь я не могу больше строить из-за следующей ошибки: Данный артефакт содержит строковый литерал со ссылкой на пакет 'android ....
вопрос задан: 26 November 2018 16:07
0
ответов

AndroidJUnit4.class устарела: как использовать androidx.test.ext.junit.runners.AndroidJUnit4?

Для своих инструментальных тестов я использовал @RunWith (AndroidJUnit4.class) из импорта androidx.test.runner.AndroidJUnit4; чтобы установить мои тестовые случаи. Теперь эта строка помечена как устаревшая ...
вопрос задан: 12 October 2018 09:40
0
ответов

BottomSheetBehavior не в библиотеках androidX

Я использовал BottomSheetBehavior с исходной библиотекой поддержки: реализация 'com.android.support:design:27.1.1' Когда я перешел на использование новых библиотек androidx, хотя ...
вопрос задан: 31 July 2018 15:37